/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfullmanage.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workfullmanage.dao.WorkFullSurveyDao;
import com.jeeplus.modules.workfullmanage.entity.WorkFullSurvey;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 监理单位联系人Service
 * @author mapengbo
 * @version 2017-10-25
 */
@Service
@Transactional(readOnly = true)
public class WorkFullSurveyService extends CrudService<WorkFullSurveyDao, WorkFullSurvey> {

	public WorkFullSurvey get(String id) {
		return super.get(id);
	}
	
	public List<WorkFullSurvey> findList(WorkFullSurvey workFullSurvey) {
		return super.findList(workFullSurvey);
	}
	
	public Page<WorkFullSurvey> findPage(Page<WorkFullSurvey> page, WorkFullSurvey workFullSurvey) {
		return super.findPage(page, workFullSurvey);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkFullSurvey workFullSurvey) {
		super.save(workFullSurvey);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkFullSurvey workFullSurvey) {
		super.delete(workFullSurvey);
	}
	
	
	
	
}